export type CacheData<T> = {
    value?: T | null;
    time: number;
};
export declare class Cache<T = undefined> {
    private _map;
    private deleted;
    private list;
    max: number;
    ttl?: number;
    constructor(options: {
        max: number;
        ttl?: number;
    });
    has(key: string): boolean;
    get map(): Map<string, CacheData<T>>;
    get(key: string): T | null | undefined;
    trim(time?: number): void;
    del(key: string): void;
    add(key: string, value?: T): void;
    clear(): void;
    get size(): number;
}
